﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using BEPUphysics.Entities;

namespace PhysicTest1
{
    public class ModelDrawer
    {
        List<DisplayedPrimitive> primitives = new List<DisplayedPrimitive>();

        public void Add(DisplayedPrimitive p)
        {
            primitives.Add(p);
        }

        public void Draw(Effect effect,Camera camera)
        {
            foreach (DisplayedPrimitive p in primitives)
            {
                p.Draw(effect, camera);
            }
        }
    }
  
}
